<?php

// Zet een pad naar Smarty (./libs)
$pad = ini_get('include_path');
ini_set('include_path', '.;.\libs'.$pad);

// Haal Smarty binnen
include('Smarty.class.php');

// Haal data2array functie binnen
include('data2array.php');

//maak connectie
$db = mysql_connect("localhost", "leerphp", "bla!vux6")
        or die("Kan niet verbinden: " . mysql_error());
mysql_select_db("leerphp", $db);

//definieer query voor alle boeken
$sql = "SELECT *
FROM Artikel
";

$boekenarray = data2array($sql);

// Maak object
$smarty = new Smarty;

// Ken verschillende boeken en prijzen toe aan de smarty variabele boeken
$smarty->assign('boeken', $boekenarray);

$smarty->assign('auteur', 'arjan burger');

// display it
$smarty->display('template6.tpl');

?>
